# Hiawatha httpd.conf 
#

Binding {
	Port = 80
	MaxKeepAlive = 30
	TimeForRequest = 3,20
}

ConnectionsTotal = 150
ConnectionsPerIP = 10
SystemLogfile = C:\Program Files\Hiawatha\log\system.log

#CGIextension = com,exe
#CGIhandler = C:\Program Files\Hiawatha\bin\ssi-cgi.exe:shtml, shtm, stm
#
# Download the PHP zip package from http://www.php.net/downloads.php
# and unzip to C:\Program Files\PHP5\
#CGIhandler = C:\Program Files\Hiawatha\PHP5\php-cgi.exe:php
# or
FastCGIserver {
	FastCGIid = PHP5
	Extension = php
	ConnectTo = 127.0.0.1:2005
}

Hostname = 127.0.0.1
WebsiteRoot = C:\Program Files\Hiawatha\wwwroot
StartFile = index.php
AccessLogfile = C:\Program Files\Hiawatha\log\access.log
ErrorLogfile = C:\Program Files\Hiawatha\log\error.log
#ExecuteCGI = yes
UseFastCGI = PHP5
TimeForCGI = 10

# Uncomment to enable Directory Listing
#ShowIndex = yes

# BANNING SETTINGS
# Deny service to clients who misbehave.
#
BanOnGarbage = 300
BanOnMaxPerIP = 60
BanOnMaxReqSize = 300
KickOnBan = yes
RebanDuringBan = yes


